Subject: Re: bug#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Feb 2015 18:17:36 +0200

> From: Robert Pluim <[email-masked]>
> Date: Fri, 20 Feb 2015 16:46:48 +0100
> 
> >> I don't think adding w32.c into the build on cygwin is going to work.
> >
> > Because of the above, or because of something else?
> 
> Because (perhaps mistakenly) I think that calling emacs code that
> assumes it's running under Windows native will not interact well with
> emacs code that's running under cygwin.

Sorry, maybe I'm confused, but isn't your Cygwin build configured
"--with-w32"?  If so, it already uses some of the Windows native code.

> Having said that, I'm willing to test any patches over the next week or
> so

Thanks.